package biliapi

import (
	"fmt"
	"net/http"
)

func BasicInfo(mid uint) ([]byte, error) {
	url := fmt.Sprintf("https://api.bilibili.com/x/space/wbi/acc/info?mid=%d", mid)

	srv := BaseService{
		Client: &http.Client{},
		Url:    url,
	}
	respBody, err := srv.DoRequest()
	if err != nil {
		return nil, err
	}
	return respBody, nil
}
