package biliapi

type APIError struct {
	Msg string
}

func (err APIError) Error() string {
	return err.Msg
}

func NewAPIError(msg string) APIError {
	return APIError{Msg: msg}
}

func MissingParamError() APIError {
	return APIError{Msg: "缺少参数"}
}
